%define upstream_name    Data-SearchEngine
%define upstream_version 0.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Digest flag & configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Paginator) >= 0.30.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(JSON::Any)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Storage)
BuildRequires: perl(MooseX::Storage::Deferred)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
There are *lots* of search engine libraries. Each has a different
interface. The goal of Data::SearchEngine is to provide a simple, extensive
set of classes and roles that you can use to wrap a search implementation.
The net result will be an easily swappable backend with a common set of
features.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.330.0-11.mga9
+ Revision: 1802833
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.330.0-10.mga8
+ Revision: 1493677
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.330.0-9.mga7
+ Revision: 1267007
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.330.0-8.mga6
+ Revision: 1024835
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.330.0-7.mga6
+ Revision: 949616
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.330.0-6.mga5
+ Revision: 790136
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-5.mga5
+ Revision: 747335
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.330.0-4.mga5
+ Revision: 684233
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.330.0-3.mga4
+ Revision: 510662
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-2.mga3
+ Revision: 365424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 kharec <kharec> 0.330.0-1.mga2
+ Revision: 211631
- update to 0.33

* Fri Dec 16 2011 kharec <kharec> 0.320.0-1.mga2
+ Revision: 182708
- update to 0.32

* Fri Dec 16 2011 kharec <kharec> 0.300.0-1.mga2
+ Revision: 182686
- imported package perl-Data-SearchEngine


* Fri Dec 16 2011 cpan2dist 0.30-1mga
- initial mageia release, generated with cpan2dist
